#
# spec file for package atftp (Version 0.6.1.1)
#
# Copyright (c) 2003 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  readline readline-devel tcpd termcap
# usedforbuild    aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils bzip2 cracklib gcc gdbm gettext libtool perl readline-devel rpm tcpd termcap

Name:         atftp
Version:      0.6.1.1
Release:      159
Summary:      Advanced Trivial File Transfer Protocol
License:      GPL
Group:        System/Daemons
Autoreqprov:  on
Conflicts:    tftp
Source:       %{name}-%{version}.tar.bz2
Source1:      atftpd.init.d
Source2:      atftpd.sysconfig
Patch0:       atftpd.patch
#Patch0:  %{name}-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
PreReq:       %insserv_prereq  %fillup_prereq

%description
tftp stands for Advanced Trivial File Transfer Protocol. It is called
"advanced", by contrast to others TFTP servers, for two reasons.
Firstly, it is intended to be fully compliant with all related RFCs.
This include RFC1350, RFC2090, RFC2347, RFC2348 and RFC2349. Secondly,
atftp is intended for serving boot files to large clusters. It is
multi-threaded and will eventually support multicast, allowing faster
boot of hundreds of machine simultaneously.



Authors:
--------
    Jean-Pierre Lefebvre    <helix@step.polymtl.ca>
    Remi Lefebvre           <remi@debian.org>

%prep
%setup -q -n %{name}-%{version}
%patch

%build
%{suse_update_config}
libtoolize --force
autoreconf --force --install
./configure --prefix=/usr --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# SuSE rc
install -d -m 750 $RPM_BUILD_ROOT/etc/init.d/
install -d $RPM_BUILD_ROOT/usr/sbin/
install -m 744 %{S:1} $RPM_BUILD_ROOT/etc/init.d/atftpd
ln -sf ../../etc/init.d/atftpd $RPM_BUILD_ROOT/usr/sbin/rcatftpd
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 %{S:2} $RPM_BUILD_ROOT/var/adm/fillup-templates/sysconfig.atftpd

%post
%{fillup_and_insserv -n -s atftpd}

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc  BUGS FAQ LICENSE README TODO

%_sbindir/*
%_bindir/*
/etc/init.d/atftpd
/var/adm/fillup-templates/sysconfig.atftpd
%{_mandir}/man8/*
%{_mandir}/man1/*

%changelog -n atftp
* Thu Dec 11 2003 - nashif@suse.de
- #27341: Fix for buffer overflow when a long
  filename is sent to the server
- Fixed init script
* Wed Jan 01 2003 - nashif@suse.de
- Fixed bug #22614: missing metadata in sysconfig template
* Sat Sep 14 2002 - nashif@suse.de
- Added missing restart to init script
* Fri Aug 30 2002 - nashif@suse.de
- Fixed bug #18661: Removed ; from sysconfig file
* Sat Aug 17 2002 - nashif@suse.de
- Fixed bug #17793: Added PreReq
- Fixed init script output
* Sun Jun 09 2002 - nashif@suse.de
- Update to version 0.6.1.1
* Sat Apr 13 2002 - nashif@suse.de
- Use tftp_LDADD for libraries instead of LDFLAGS
* Sat Mar 23 2002 - nashif@suse.de
- Initial release (0.50)
